cURL
curl --request POST 'https://api.brightalk.ai/contacts' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16" \
--header "Content-Type: application/json" \
--data '{"external_id":"customer-8421","name":"Example Customer","phone_number":"+12025550123"}'const response = await fetch("https://api.brightalk.ai/contacts", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
},
body: JSON.stringify({"external_id":"customer-8421","name":"Example Customer","phone_number":"+12025550123"}),
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"POST",
"https://api.brightalk.ai/contacts",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
},
json={"external_id":"customer-8421","name":"Example Customer","phone_number":"+12025550123"},
)
print(response.status_code, response.json()){
"id": "con_demo_001",
"external_id": "customer-8421",
"source": "public_api",
"name": "Example Customer",
"phone_number": "+12025550123",
"email": "customer@example.com",
"company": "Example Co.",
"role": "Operations Manager",
"city": "Taipei",
"country": "TW",
"created_at": "2026-07-20T01:00:00Z",
"updated_at": "2026-07-20T01:00:00Z"
}Contacts
建立或採用聯絡人
依據提供的外部識別與嚴格 E.164 號碼,建立、更新或採用組織內的標準聯絡人紀錄。原始 JSON 主體上限為 1 MiB。每個回應都包含 Brightalk-Version 與 X-Request-Id;受到速率限制的回應還會提供實際套用之配額群組的計數器。
POST
/
contacts
cURL
curl --request POST 'https://api.brightalk.ai/contacts' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16" \
--header "Content-Type: application/json" \
--data '{"external_id":"customer-8421","name":"Example Customer","phone_number":"+12025550123"}'const response = await fetch("https://api.brightalk.ai/contacts", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
},
body: JSON.stringify({"external_id":"customer-8421","name":"Example Customer","phone_number":"+12025550123"}),
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"POST",
"https://api.brightalk.ai/contacts",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
"Content-Type": "application/json",
},
json={"external_id":"customer-8421","name":"Example Customer","phone_number":"+12025550123"},
)
print(response.status_code, response.json()){
"id": "con_demo_001",
"external_id": "customer-8421",
"source": "public_api",
"name": "Example Customer",
"phone_number": "+12025550123",
"email": "customer@example.com",
"company": "Example Co.",
"role": "Operations Manager",
"city": "Taipei",
"country": "TW",
"created_at": "2026-07-20T01:00:00Z",
"updated_at": "2026-07-20T01:00:00Z"
}標頭
主體
application/json
JSON request body. The raw encoded body is limited to 1 MiB and unknown fields are rejected.
回應
已更新或採用既有聯絡人。